cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration

## Class ADT_A23

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration.ADT_A21_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration.ADT_A23

-     public final class ADT_A23
      extends ADT_A21_Common

  ADT_A23 - Delete a Patient Record (Event A23). This event is use to delete visit or episode-specific information from the patient record.

  Represents a ADT_A21 message structure (see chapter 3.2.23). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: EVN (Event Type Segment) SINGLE_COMPULSARY
  4: PID (Patient Identification Segment) SINGLE_COMPULSARY
  5: PD1 (Patient Additional Demographic Segment) SINGLE_OPTIONAL
  6: PV1 (Patient Visit Segment) SINGLE_COMPULSARY
  7: PV2 (Patient Visit - Additional Information Segment) SINGLE_OPTIONAL
  8: DB1 (Disability Segment) MULTIPLE_OPTIONAL
  9: OBX (Observation/Result Segment) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  ADT_A23 objA23 = (ADT_A23)MessageFactory.createInstance().createSendSupportedMessage("ADT", "A23");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.patientadministration.ADT_A21_Common

      `addDisabilityInformationSegment, addDisabilityInformationSegment, addObservationOrResultSegment, addObservationOrResultSegment, addSoftwareSegment, addSoftwareSegment, getAdditinalDemographicsSegment, getDisabilityInformationSegments, getEventTypeSegment, getObservationOrResultSegments, getPatientIdentificationSegment, getPatientVisitAdditionalInfoSegment, getPatientVisitSegment, getSoftwareSegments, getUserAuthenticationCredentialSegment, setAdditinalDemographicsSegment, setEventTypeSegment, setPatientIdentificationSegment, setPatientVisitAdditionalInfoSegment, setPatientVisitSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`